Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.request
Interface Dispatch

All Known Implementing Classes:
  Phase.Action.Dispatch, Phase.Resource.Dispatch, Phase.View.Dispatch

    public interface Dispatch

The `Dispatch` object represents the dispatch to a controller method. It can be used for generating URL or as a `Response.View` objects. A dispatch object can be obtained from a `RequestContext` object for building controller methods, however the best way to obtain a builder is to use a controller companion that provides a type safe way for creating fully configured dispatch.

Type safe `Dispatch` factory method are generated for each view, action or resource controller methods. The signature of a dispatch factory is the same as the original method.

`

        public void MyController {

           @Action
           public Response.View myAction(String param) {
              return MyController_.myRender();
           }

           @View
           public void myRender() {
              String url = MyController_.myAction("hello");
           }
        }

`

Author:
  Julien Viet

Method Summary
`Dispatch` | `escapeXML(Boolean escapeXML)`
`
`<T> Dispatch`
` | `setProperty(PropertyType<T> propertyType, T propertyValue)` Set or clear a property of the URL.
`String` | `toString()`
`Dispatch` | `with(juzu.impl.common.MimeType mimeType)`
`Dispatch` | `with(PropertyMap properties)`

Method Detail

### with

    Dispatch with(juzu.impl.common.MimeType mimeType)

### with

    Dispatch with(PropertyMap properties)

### escapeXML

    Dispatch escapeXML(Boolean escapeXML)

### setProperty

    <T> Dispatch setProperty(PropertyType<T> propertyType,
                             T propertyValue)
                         throws IllegalArgumentException

  Set or clear a property of the URL.

  Type Parameters:
    `T` - the property generic type
  Parameters:
    `propertyType` - the property type
    `propertyValue` - the property value
  Returns:
    this URL builder
  Throws:
    `IllegalArgumentException` - if the property is not valid

### toString

    String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.